Package weka.core.pmml.jaxbbindings

# Class TextModel

java.lang.Object
weka.core.pmml.jaxbbindings.TextModel

public class TextModel extends Object

Java class for TextModel element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="TextModel">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}MiningSchema"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Output" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}ModelStats" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}ModelExplanation" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Targets" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}LocalTransformations" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}TextDictionary"/>
               <element ref="{http://www.dmg.org/PMML-4_1}TextCorpus"/>
               <element ref="{http://www.dmg.org/PMML-4_1}DocumentTermMatrix"/>
               <element ref="{http://www.dmg.org/PMML-4_1}TextModelNormalization" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}TextModelSimiliarity" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}ModelVerification" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="algorithmName" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="functionName" use="required" type="{http://www.dmg.org/PMML-4_1}MINING-FUNCTION" />
             <attribute name="isScorable" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
             <attribute name="modelName" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="numberOfDocuments" use="required" type="{http://www.w3.org/2001/XMLSchema}integer" />
             <attribute name="numberOfTerms" use="required" type="{http://www.w3.org/2001/XMLSchema}integer" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAlgorithmName()`
  Gets the value of the algorithmName property.
  `List<Object>`
  `getContent()`
  Gets the rest of the content model.
  `MININGFUNCTION`
  `getFunctionName()`
  Gets the value of the functionName property.
  `String`
  `getModelName()`
  Gets the value of the modelName property.
  `BigInteger`
  `getNumberOfDocuments()`
  Gets the value of the numberOfDocuments property.
  `BigInteger`
  `getNumberOfTerms()`
  Gets the value of the numberOfTerms property.
  `boolean`
  `isIsScorable()`
  Gets the value of the isScorable property.
  `void`
  `setAlgorithmName(String value)`
  Sets the value of the algorithmName property.
  `void`
  `setFunctionName(MININGFUNCTION value)`
  Sets the value of the functionName property.
  `void`
  `setIsScorable(Boolean value)`
  Sets the value of the isScorable property.
  `void`
  `setModelName(String value)`
  Sets the value of the modelName property.
  `void`
  `setNumberOfDocuments(BigInteger value)`
  Sets the value of the numberOfDocuments property.
  `void`
  `setNumberOfTerms(BigInteger value)`
  Sets the value of the numberOfTerms property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TextModel

    public TextModel()

- ## Method Details

  - ### getContent

    public List<Object> getContent()
    Gets the rest of the content model.

    You are getting this "catch-all" property because of the following reason: The field name "Extension" is used by two different parts of a schema. See: line 1527 of file:/home/david/workspace/weka/pmml-4-1.xsd line 1514 of file:/home/david/workspace/weka/pmml-4-1.xsd

    To get rid of this property, apply a property customization to one of both of the following declarations to change their names: Gets the value of the content property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

    For example, to add a new item, do as follows:

            getContent().add(newItem);

    Objects of the following type(s) are allowed in the list `ModelExplanation` `ModelStats` `Output` `TextCorpus` `DocumentTermMatrix` `TextModelSimiliarity` `LocalTransformations` `Targets` `TextModelNormalization` `MiningSchema` `TextDictionary` `ModelVerification` `Extension`

  - ### getAlgorithmName

    public String getAlgorithmName()
    Gets the value of the algorithmName property.
    Returns:
      possible object is `String`

  - ### setAlgorithmName

    public void setAlgorithmName(String value)
    Sets the value of the algorithmName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getFunctionName

    public MININGFUNCTION getFunctionName()
    Gets the value of the functionName property.
    Returns:
      possible object is `MININGFUNCTION`

  - ### setFunctionName

    public void setFunctionName(MININGFUNCTION value)
    Sets the value of the functionName property.
    Parameters:
      `value` - allowed object is `MININGFUNCTION`

  - ### isIsScorable

    public boolean isIsScorable()
    Gets the value of the isScorable property.
    Returns:
      possible object is `Boolean`

  - ### setIsScorable

    public void setIsScorable(Boolean value)
    Sets the value of the isScorable property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getModelName

    public String getModelName()
    Gets the value of the modelName property.
    Returns:
      possible object is `String`

  - ### setModelName

    public void setModelName(String value)
    Sets the value of the modelName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getNumberOfDocuments

    public BigInteger getNumberOfDocuments()
    Gets the value of the numberOfDocuments property.
    Returns:
      possible object is `BigInteger`

  - ### setNumberOfDocuments

    public void setNumberOfDocuments(BigInteger value)
    Sets the value of the numberOfDocuments property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getNumberOfTerms

    public BigInteger getNumberOfTerms()
    Gets the value of the numberOfTerms property.
    Returns:
      possible object is `BigInteger`

  - ### setNumberOfTerms

    public void setNumberOfTerms(BigInteger value)
    Sets the value of the numberOfTerms property.
    Parameters:
      `value` - allowed object is `BigInteger`